import { handleRequest } from './module/index.ts';
import { useConfig } from '@abearxiong/use-config';
import { app } from './app.ts';
import './route/route.ts'
const { port } = useConfig<{ port: number }>();

app
  .route({
    path: 'hello',
    key: '0',
  })
  .define(async (ctx) => {
    ctx.body = 'hello world';
  })
  .addTo(app);

app.listen(port, () => {
  console.log(`Server running at http://localhost:${port}/`);
});

app.server.on(handleRequest);
